aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/prosody/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-06-06 00:53:07 +0000
committerMichael Mason <ms13sp@gmail.com>2009-06-06 00:53:07 +0000
commit61d8211291186d7f91e7e7cccce7d2d87c539307 (patch)
treef3b395d7589d30f3cbf9f1f7eedb4f17f8f00055 /unstable/prosody/APKBUILD
parent7b5ecceecba33fa3ea0652efac17560d2cdb3442 (diff)
downloadaports-61d8211291186d7f91e7e7cccce7d2d87c539307.tar.bz2
aports-61d8211291186d7f91e7e7cccce7d2d87c539307.tar.xz
unstable/prosody Updated with patch from mika.havela@gmail.com
Diffstat (limited to 'unstable/prosody/APKBUILD')
-rw-r--r--unstable/prosody/APKBUILD42
1 files changed, 30 insertions, 12 deletions
diff --git a/unstable/prosody/APKBUILD b/unstable/prosody/APKBUILD
index 4cf10b2220..60ad4e9cb7 100644
--- a/unstable/prosody/APKBUILD
+++ b/unstable/prosody/APKBUILD
@@ -1,28 +1,46 @@
-# Contributor: Michael Mason <ms13sp@gmail.com>
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
pkgname=prosody
pkgver=0.4.2
pkgrel=0
pkgdesc="Lua based Jabber/XMPP server"
url="http://prosody.im/"
-license="GPL"
-depends="uclibc lua libidn openssl"
-makedepends="lua-dev libidn-dev lua-dev openssl-dev"
-install=
+license="MIT"
+depends="uclibc lua libidn openssl luasocket luaexpat"
+makedepends="lua-dev libidn-dev openssl-dev"
+install="prosody.pre-install prosody.post-install"
subpackages=""
-source="http://prosody.im/downloads/source/$pkgname-$pkgver.tar.gz"
+source="http://prosody.im/downloads/source/$pkgname-$pkgver.tar.gz
+ $pkgname.cfg.lua
+ $pkgname.initd
+ $install
+ Makefile-0.4.2.patch
+ "
build() {
cd "$srcdir/$pkgname-$pkgver"
- PATH="/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin"
-
+ patch Makefile "$startdir/Makefile-0.4.2.patch" || return 1
+
./configure --prefix=/usr \
- --sysconfdir=/etc
+ --sysconfdir=/etc/prosody \
+ --with-lua=/usr/bin \
+ --with-lua-lib=/usr/lib \
+ --with-lua-include=/usr/include
+
make || return 1
make DESTDIR="$pkgdir" install
- # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -d "$pkgdir/var/log/prosody" || return 1
+ install -d "$pkgdir/var/run/prosody" || return 1
+ install -D -m755 "$srcdir"/"$pkgname".initd "$pkgdir"/etc/init.d/"$pkgname"
+
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="2669478311b3a67522669acdf03cf85c prosody-0.4.2.tar.gz"
+md5sums="2669478311b3a67522669acdf03cf85c prosody-0.4.2.tar.gz
+f42039e5a342fe62cd7e491546338aaa prosody.cfg.lua
+c161a875295b45241229eb6db65211e8 prosody.initd
+08484f183ba39233337d3fbc92cffadc prosody.pre-install
+8202a40bf6de7cbacbaf76f2985aa220 prosody.post-install
+684d033dac42399a245c061c9a374e1b Makefile-0.4.2.patch"